org.apache.ignite.internal.util.lang.gridfunc

## Class MultipleIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.MultipleIterator<T>

Type Parameters:
  `T` - Elements type.

All Implemented Interfaces:
  Serializable, Iterator<T>

    public class MultipleIterator<T>
    extends Object
    implements Iterator<T>, Serializable

Concatenates multiple iterators as single one.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MultipleIterator(Iterator<Iterator<T>> iters)`

### Method Summary

Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultipleIterator

    public MultipleIterator(Iterator<Iterator<T>> iters)

Parameters:
  `iters` - Iterator over iterators.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017